Bug 24333 - AutoSelfCheckPass needs to be masked
Summary: AutoSelfCheckPass needs to be masked
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-02 16:34 UTC by Christopher Brannon
Modified: 2020-03-26 11:31 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 24333: Add password class to AutoSelfCheck syspref (1.14 KB, patch)
2020-01-09 12:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Password not masked (114.91 KB, image/png)
2020-01-13 16:55 UTC, Christopher Brannon
Details
Bug 24333: Add password class to AutoSelfCheck syspref (1.20 KB, patch)
2020-01-13 22:00 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24333: Add password class to AutoSelfCheck syspref (1.29 KB, patch)
2020-01-17 08:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2020-01-02 16:34:18 UTC
We should not be displaying passwords, anywhere.
Comment 1 Nick Clemens 2020-01-09 12:49:28 UTC
Created attachment 97072 [details] [review]
Bug 24333: Add password class to AutoSelfCheck syspref

To test:
1 - Go to Administration
2 - Search sysprefs for AutoSelfCheck
3 - Enter something into AutoSelfCheckPass
4 - Note it is not masked
5 - Apply patch
6 - Reload page
7 - Note password is now masked
Comment 2 Christopher Brannon 2020-01-09 18:47:31 UTC
Nick,
I have this loaded in a Bywater sandbox (24333) and there is no change.  I've tried other browsers, and restarting the services.  Nothing works.
Comment 3 Jonathan Druart 2020-01-13 15:49:58 UTC
Work ok for me on Firefox 72.0.1
https://snipboard.io/n0WIu7.jpg

Please try again.
Comment 4 Christopher Brannon 2020-01-13 16:53:45 UTC
(In reply to Jonathan Druart from comment #3)
> Work ok for me on Firefox 72.0.1
> https://snipboard.io/n0WIu7.jpg
> 
> Please try again.

Still not working on preferences.pl?tab=circulation for AutoSelfCheckPass in sandbox.

And I can't get your screenshot to load.
Comment 5 Christopher Brannon 2020-01-13 16:55:40 UTC
Created attachment 97327 [details]
Password not masked
Comment 6 Lucas Gass 2020-01-13 18:59:40 UTC
Chris and Jonathan,

This patch works for me on master. I applied, restart_all, cleared browser cache and it works in both Chrome and FF.
Comment 7 Lucas Gass 2020-01-13 22:00:02 UTC
Created attachment 97333 [details] [review]
Bug 24333: Add password class to AutoSelfCheck syspref

To test:
1 - Go to Administration
2 - Search sysprefs for AutoSelfCheck
3 - Enter something into AutoSelfCheckPass
4 - Note it is not masked
5 - Apply patch
6 - Reload page
7 - Note password is now masked

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 8 Jonathan Druart 2020-01-14 11:07:08 UTC
(In reply to Christopher Brannon from comment #4)
> (In reply to Jonathan Druart from comment #3)
> > Work ok for me on Firefox 72.0.1
> > https://snipboard.io/n0WIu7.jpg
> > 
> > Please try again.
> 
> Still not working on preferences.pl?tab=circulation for AutoSelfCheckPass in
> sandbox.
> 
> And I can't get your screenshot to load.

Which browser did you try? Which sandbox?
Comment 9 Marcel de Rooy 2020-01-17 08:34:31 UTC
Created attachment 97477 [details] [review]
Bug 24333: Add password class to AutoSelfCheck syspref

To test:
1 - Go to Administration
2 - Search sysprefs for AutoSelfCheck
3 - Enter something into AutoSelfCheckPass
4 - Note it is not masked
5 - Apply patch
6 - Reload page
7 - Note password is now masked

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Marcel de Rooy 2020-01-17 08:34:51 UTC
Works fine for me on FF, Chrome and Edge.
Note that this class:password is already in use for enhanced_content too.
Comment 11 Martin Renvoize 2020-01-20 14:04:45 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-01-31 23:47:04 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 13 Lucas Gass 2020-02-13 16:29:05 UTC
backported to 19.05.x for 19.05.08
Comment 14 Hayley Mapley 2020-02-20 00:24:23 UTC
Backported to 18.11.x for 18.11.14